<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
Input Values
    -avaluos: Lista de objetos de tipo PPredioAvaluoCatastral a consultar
    -rendered: Indica si se muestra o no la tabla
    -title: Título de la tabla
-->
<p:dataTable xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" var="avaluo"
             value="#{avaluos}" rendered="#{rendered}">

    <f:facet name="header">
        <h:outputText value="#{title}" />
    </f:facet>

    <p:column>
        <f:facet name="header">Valor<br />terreno</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{avaluo.valorTerreno}">
            <f:convertNumber type="number" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">Valor total<br />construcción</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{avaluo.valorTotalConstruccion}">
            <f:convertNumber type="number" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">Valor total<br />avalúo</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{avaluo.valorTotalAvaluoCatastral}">
            <f:convertNumber type="number" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">Justificación<br />avalúo</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{avaluo.justificacionAvaluo}" />
    </p:column>

    <p:column>
        <f:facet name="header">Valor total<br />construcción<br />convencional</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{avaluo.valorTotalConsConvencional}">
            <f:convertNumber type="number" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">Valor total<br />construcción<br />no convencional</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{avaluo.valorTotalConsNconvencional}">
            <f:convertNumber type="number" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">Nota avalúo</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{avaluo.notaAvaluo}" />
    </p:column>

    <p:column>
        <f:facet name="header">Vigencia</f:facet>
        <h:outputText styleClass="outputTextStyle" value="#{avaluo.vigencia}">
            <f:convertDateTime pattern="#{general.formatoFecha}" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">Auto estimación</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{avaluo.autoavaluo}" />
    </p:column>

</p:dataTable>
